/*
  But :    Programmation orientée objets avec des prototypes
  Auteur : Matteo Marinazzo
  Date :   22.05.24 / V1.0 
*/
body {
  background-color: GREY;
}
.user-form {
  padding: 10px;
  background-color: WHITE;
  
}
.user-form .field {
  background-color: lightgray;
  padding: 10px;
}
.user-form .field label  {
  display: inline-block;
  width: 150px;
}
.user-form .field input   {
  display: inline-block;
  margin-inline-start: 100px;
  
}

.user-form .button {
  text-align: center;
  margin-top: 10px;
}
.user-form input[type=submit] {
  color: white;
  background-color: grey;
  border: 0cm;
}

a {
  display: inline-block;
  padding: 10px 20px;
  color: white;
  text-decoration: none;
  font-weight: bold;
  border-radius: 5px;
  margin: 10px;
  background: 
    radial-gradient(circle at 50% 0,
      rgb(173, 216, 230),
      rgba(173, 216, 230, 0) 70.71%),
    radial-gradient(circle at 5% 40%,
      rgb(135, 206, 235),
      rgba(135, 206, 235, 0) 70.71%),
    radial-gradient(circle at 6.7% 75%,
      rgb(0, 191, 255),
      rgba(0, 191, 255, 0) 70.71%),
    radial-gradient(circle at 66% 75%,
      rgb(30, 144, 255),
      rgba(30, 144, 255, 0) 70.71%),
    radial-gradient(circle at 93.3% 75%,
      rgb(70, 130, 180),
      rgba(70, 130, 180, 0) 70.71%) rgb(173, 216, 230);
  background-attachment: fixed;
  background-repeat: no-repeat;
  transition: background 0.3s ease;
 
  /* Optional: Add hover effect */
  transition: background 0.3s ease, transform 0.3s ease;
}
 
a:hover {
  transform: scale(1.05);
}